"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = exports.PotentialAction = exports.Name = exports.AlternateName = exports.MainEntityOfPage = exports.Attendees = exports.Contributor = exports.EventSchedule = exports.WorkFeatured = exports.Attendee = exports.MaximumPhysicalAttendeeCapacity = exports.RecordedIn = exports.About = exports.InLanguage = exports.DoorTime = exports.WorkPerformed = exports.SubEvents = exports.RemainingAttendeeCapacity = exports.IsAccessibleForFree = exports.PreviousStartDate = exports.Sponsor = exports.Organizer = exports.Duration = exports.Performers = exports.Location = exports.TypicalAgeRange = exports.AggregateRating = exports.Performer = exports.Funder = exports.EndDate = exports.EventStatus = exports.Actor = exports.SubEvent = exports.Offers = exports.Audience = exports.Keywords = exports.Funding = exports.Director = exports.MaximumVirtualAttendeeCapacity = exports.MaximumAttendeeCapacity = exports.Composer = exports.StartDate = exports.Translator = exports.Review = exports.EventAttendanceMode = exports.SuperEvent = exports.CourseMode = exports.CourseWorkload = exports.Instructor = exports.CourseInstance = void 0;
exports.Identifier = exports.SameAs = exports.DisambiguatingDescription = exports.AdditionalType = exports.SubjectOf = exports.Description = exports.Url = void 0;
const Instructor_1 = require("./src/itemProps/Instructor");
Object.defineProperty(exports, "Instructor", { enumerable: true, get: function () { return Instructor_1.Instructor; } });
const CourseWorkload_1 = require("./src/itemProps/CourseWorkload");
Object.defineProperty(exports, "CourseWorkload", { enumerable: true, get: function () { return CourseWorkload_1.CourseWorkload; } });
const CourseMode_1 = require("./src/itemProps/CourseMode");
Object.defineProperty(exports, "CourseMode", { enumerable: true, get: function () { return CourseMode_1.CourseMode; } });
const SuperEvent_1 = require("./src/itemProps/SuperEvent");
Object.defineProperty(exports, "SuperEvent", { enumerable: true, get: function () { return SuperEvent_1.SuperEvent; } });
const EventAttendanceMode_1 = require("./src/itemProps/EventAttendanceMode");
Object.defineProperty(exports, "EventAttendanceMode", { enumerable: true, get: function () { return EventAttendanceMode_1.EventAttendanceMode; } });
const Review_1 = require("./src/itemProps/Review");
Object.defineProperty(exports, "Review", { enumerable: true, get: function () { return Review_1.Review; } });
const Translator_1 = require("./src/itemProps/Translator");
Object.defineProperty(exports, "Translator", { enumerable: true, get: function () { return Translator_1.Translator; } });
const StartDate_1 = require("./src/itemProps/StartDate");
Object.defineProperty(exports, "StartDate", { enumerable: true, get: function () { return StartDate_1.StartDate; } });
const Composer_1 = require("./src/itemProps/Composer");
Object.defineProperty(exports, "Composer", { enumerable: true, get: function () { return Composer_1.Composer; } });
const MaximumAttendeeCapacity_1 = require("./src/itemProps/MaximumAttendeeCapacity");
Object.defineProperty(exports, "MaximumAttendeeCapacity", { enumerable: true, get: function () { return MaximumAttendeeCapacity_1.MaximumAttendeeCapacity; } });
const MaximumVirtualAttendeeCapacity_1 = require("./src/itemProps/MaximumVirtualAttendeeCapacity");
Object.defineProperty(exports, "MaximumVirtualAttendeeCapacity", { enumerable: true, get: function () { return MaximumVirtualAttendeeCapacity_1.MaximumVirtualAttendeeCapacity; } });
const Director_1 = require("./src/itemProps/Director");
Object.defineProperty(exports, "Director", { enumerable: true, get: function () { return Director_1.Director; } });
const Funding_1 = require("./src/itemProps/Funding");
Object.defineProperty(exports, "Funding", { enumerable: true, get: function () { return Funding_1.Funding; } });
const Keywords_1 = require("./src/itemProps/Keywords");
Object.defineProperty(exports, "Keywords", { enumerable: true, get: function () { return Keywords_1.Keywords; } });
const Audience_1 = require("./src/itemProps/Audience");
Object.defineProperty(exports, "Audience", { enumerable: true, get: function () { return Audience_1.Audience; } });
const Offers_1 = require("./src/itemProps/Offers");
Object.defineProperty(exports, "Offers", { enumerable: true, get: function () { return Offers_1.Offers; } });
const SubEvent_1 = require("./src/itemProps/SubEvent");
Object.defineProperty(exports, "SubEvent", { enumerable: true, get: function () { return SubEvent_1.SubEvent; } });
const Actor_1 = require("./src/itemProps/Actor");
Object.defineProperty(exports, "Actor", { enumerable: true, get: function () { return Actor_1.Actor; } });
const EventStatus_1 = require("./src/itemProps/EventStatus");
Object.defineProperty(exports, "EventStatus", { enumerable: true, get: function () { return EventStatus_1.EventStatus; } });
const EndDate_1 = require("./src/itemProps/EndDate");
Object.defineProperty(exports, "EndDate", { enumerable: true, get: function () { return EndDate_1.EndDate; } });
const Funder_1 = require("./src/itemProps/Funder");
Object.defineProperty(exports, "Funder", { enumerable: true, get: function () { return Funder_1.Funder; } });
const Performer_1 = require("./src/itemProps/Performer");
Object.defineProperty(exports, "Performer", { enumerable: true, get: function () { return Performer_1.Performer; } });
const AggregateRating_1 = require("./src/itemProps/AggregateRating");
Object.defineProperty(exports, "AggregateRating", { enumerable: true, get: function () { return AggregateRating_1.AggregateRating; } });
const TypicalAgeRange_1 = require("./src/itemProps/TypicalAgeRange");
Object.defineProperty(exports, "TypicalAgeRange", { enumerable: true, get: function () { return TypicalAgeRange_1.TypicalAgeRange; } });
const Location_1 = require("./src/itemProps/Location");
Object.defineProperty(exports, "Location", { enumerable: true, get: function () { return Location_1.Location; } });
const Performers_1 = require("./src/itemProps/Performers");
Object.defineProperty(exports, "Performers", { enumerable: true, get: function () { return Performers_1.Performers; } });
const Duration_1 = require("./src/itemProps/Duration");
Object.defineProperty(exports, "Duration", { enumerable: true, get: function () { return Duration_1.Duration; } });
const Organizer_1 = require("./src/itemProps/Organizer");
Object.defineProperty(exports, "Organizer", { enumerable: true, get: function () { return Organizer_1.Organizer; } });
const Sponsor_1 = require("./src/itemProps/Sponsor");
Object.defineProperty(exports, "Sponsor", { enumerable: true, get: function () { return Sponsor_1.Sponsor; } });
const PreviousStartDate_1 = require("./src/itemProps/PreviousStartDate");
Object.defineProperty(exports, "PreviousStartDate", { enumerable: true, get: function () { return PreviousStartDate_1.PreviousStartDate; } });
const IsAccessibleForFree_1 = require("./src/itemProps/IsAccessibleForFree");
Object.defineProperty(exports, "IsAccessibleForFree", { enumerable: true, get: function () { return IsAccessibleForFree_1.IsAccessibleForFree; } });
const RemainingAttendeeCapacity_1 = require("./src/itemProps/RemainingAttendeeCapacity");
Object.defineProperty(exports, "RemainingAttendeeCapacity", { enumerable: true, get: function () { return RemainingAttendeeCapacity_1.RemainingAttendeeCapacity; } });
const SubEvents_1 = require("./src/itemProps/SubEvents");
Object.defineProperty(exports, "SubEvents", { enumerable: true, get: function () { return SubEvents_1.SubEvents; } });
const WorkPerformed_1 = require("./src/itemProps/WorkPerformed");
Object.defineProperty(exports, "WorkPerformed", { enumerable: true, get: function () { return WorkPerformed_1.WorkPerformed; } });
const DoorTime_1 = require("./src/itemProps/DoorTime");
Object.defineProperty(exports, "DoorTime", { enumerable: true, get: function () { return DoorTime_1.DoorTime; } });
const InLanguage_1 = require("./src/itemProps/InLanguage");
Object.defineProperty(exports, "InLanguage", { enumerable: true, get: function () { return InLanguage_1.InLanguage; } });
const About_1 = require("./src/itemProps/About");
Object.defineProperty(exports, "About", { enumerable: true, get: function () { return About_1.About; } });
const RecordedIn_1 = require("./src/itemProps/RecordedIn");
Object.defineProperty(exports, "RecordedIn", { enumerable: true, get: function () { return RecordedIn_1.RecordedIn; } });
const MaximumPhysicalAttendeeCapacity_1 = require("./src/itemProps/MaximumPhysicalAttendeeCapacity");
Object.defineProperty(exports, "MaximumPhysicalAttendeeCapacity", { enumerable: true, get: function () { return MaximumPhysicalAttendeeCapacity_1.MaximumPhysicalAttendeeCapacity; } });
const Attendee_1 = require("./src/itemProps/Attendee");
Object.defineProperty(exports, "Attendee", { enumerable: true, get: function () { return Attendee_1.Attendee; } });
const WorkFeatured_1 = require("./src/itemProps/WorkFeatured");
Object.defineProperty(exports, "WorkFeatured", { enumerable: true, get: function () { return WorkFeatured_1.WorkFeatured; } });
const EventSchedule_1 = require("./src/itemProps/EventSchedule");
Object.defineProperty(exports, "EventSchedule", { enumerable: true, get: function () { return EventSchedule_1.EventSchedule; } });
const Contributor_1 = require("./src/itemProps/Contributor");
Object.defineProperty(exports, "Contributor", { enumerable: true, get: function () { return Contributor_1.Contributor; } });
const Attendees_1 = require("./src/itemProps/Attendees");
Object.defineProperty(exports, "Attendees", { enumerable: true, get: function () { return Attendees_1.Attendees; } });
const MainEntityOfPage_1 = require("./src/itemProps/MainEntityOfPage");
Object.defineProperty(exports, "MainEntityOfPage", { enumerable: true, get: function () { return MainEntityOfPage_1.MainEntityOfPage; } });
const AlternateName_1 = require("./src/itemProps/AlternateName");
Object.defineProperty(exports, "AlternateName", { enumerable: true, get: function () { return AlternateName_1.AlternateName; } });
const Name_1 = require("./src/itemProps/Name");
Object.defineProperty(exports, "Name", { enumerable: true, get: function () { return Name_1.Name; } });
const PotentialAction_1 = require("./src/itemProps/PotentialAction");
Object.defineProperty(exports, "PotentialAction", { enumerable: true, get: function () { return PotentialAction_1.PotentialAction; } });
const Image_1 = require("./src/itemProps/Image");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_1.Image; } });
const Url_1 = require("./src/itemProps/Url");
Object.defineProperty(exports, "Url", { enumerable: true, get: function () { return Url_1.Url; } });
const Description_1 = require("./src/itemProps/Description");
Object.defineProperty(exports, "Description", { enumerable: true, get: function () { return Description_1.Description; } });
const SubjectOf_1 = require("./src/itemProps/SubjectOf");
Object.defineProperty(exports, "SubjectOf", { enumerable: true, get: function () { return SubjectOf_1.SubjectOf; } });
const AdditionalType_1 = require("./src/itemProps/AdditionalType");
Object.defineProperty(exports, "AdditionalType", { enumerable: true, get: function () { return AdditionalType_1.AdditionalType; } });
const DisambiguatingDescription_1 = require("./src/itemProps/DisambiguatingDescription");
Object.defineProperty(exports, "DisambiguatingDescription", { enumerable: true, get: function () { return DisambiguatingDescription_1.DisambiguatingDescription; } });
const SameAs_1 = require("./src/itemProps/SameAs");
Object.defineProperty(exports, "SameAs", { enumerable: true, get: function () { return SameAs_1.SameAs; } });
const Identifier_1 = require("./src/itemProps/Identifier");
Object.defineProperty(exports, "Identifier", { enumerable: true, get: function () { return Identifier_1.Identifier; } });
const CourseInstance_1 = require("./src/CourseInstance");
Object.defineProperty(exports, "CourseInstance", { enumerable: true, get: function () { return CourseInstance_1.CourseInstance; } });
exports.default = {
    CourseInstance: CourseInstance_1.CourseInstance,
    Instructor: Instructor_1.Instructor,
    CourseWorkload: CourseWorkload_1.CourseWorkload,
    CourseMode: CourseMode_1.CourseMode,
    SuperEvent: SuperEvent_1.SuperEvent,
    EventAttendanceMode: EventAttendanceMode_1.EventAttendanceMode,
    Review: Review_1.Review,
    Translator: Translator_1.Translator,
    StartDate: StartDate_1.StartDate,
    Composer: Composer_1.Composer,
    MaximumAttendeeCapacity: MaximumAttendeeCapacity_1.MaximumAttendeeCapacity,
    MaximumVirtualAttendeeCapacity: MaximumVirtualAttendeeCapacity_1.MaximumVirtualAttendeeCapacity,
    Director: Director_1.Director,
    Funding: Funding_1.Funding,
    Keywords: Keywords_1.Keywords,
    Audience: Audience_1.Audience,
    Offers: Offers_1.Offers,
    SubEvent: SubEvent_1.SubEvent,
    Actor: Actor_1.Actor,
    EventStatus: EventStatus_1.EventStatus,
    EndDate: EndDate_1.EndDate,
    Funder: Funder_1.Funder,
    Performer: Performer_1.Performer,
    AggregateRating: AggregateRating_1.AggregateRating,
    TypicalAgeRange: TypicalAgeRange_1.TypicalAgeRange,
    Location: Location_1.Location,
    Performers: Performers_1.Performers,
    Duration: Duration_1.Duration,
    Organizer: Organizer_1.Organizer,
    Sponsor: Sponsor_1.Sponsor,
    PreviousStartDate: PreviousStartDate_1.PreviousStartDate,
    IsAccessibleForFree: IsAccessibleForFree_1.IsAccessibleForFree,
    RemainingAttendeeCapacity: RemainingAttendeeCapacity_1.RemainingAttendeeCapacity,
    SubEvents: SubEvents_1.SubEvents,
    WorkPerformed: WorkPerformed_1.WorkPerformed,
    DoorTime: DoorTime_1.DoorTime,
    InLanguage: InLanguage_1.InLanguage,
    About: About_1.About,
    RecordedIn: RecordedIn_1.RecordedIn,
    MaximumPhysicalAttendeeCapacity: MaximumPhysicalAttendeeCapacity_1.MaximumPhysicalAttendeeCapacity,
    Attendee: Attendee_1.Attendee,
    WorkFeatured: WorkFeatured_1.WorkFeatured,
    EventSchedule: EventSchedule_1.EventSchedule,
    Contributor: Contributor_1.Contributor,
    Attendees: Attendees_1.Attendees,
    MainEntityOfPage: MainEntityOfPage_1.MainEntityOfPage,
    AlternateName: AlternateName_1.AlternateName,
    Name: Name_1.Name,
    PotentialAction: PotentialAction_1.PotentialAction,
    Image: Image_1.Image,
    Url: Url_1.Url,
    Description: Description_1.Description,
    SubjectOf: SubjectOf_1.SubjectOf,
    AdditionalType: AdditionalType_1.AdditionalType,
    DisambiguatingDescription: DisambiguatingDescription_1.DisambiguatingDescription,
    SameAs: SameAs_1.SameAs,
    Identifier: Identifier_1.Identifier
};
