"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Location = void 0;
const react_1 = require("react");
const Location = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'location',
        ...props,
    }, children);
};
exports.Location = Location;
Location.PostalAddress = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "location",
        itemScope: true,
        itemType: "https://schema.org/PostalAddress",
        ...props
    }, children);
};
Location.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "location",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
Location.VirtualLocation = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "location",
        itemScope: true,
        itemType: "https://schema.org/VirtualLocation",
        ...props
    }, children);
};
