"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Organizer = void 0;
const react_1 = require("react");
const Organizer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'organizer',
        ...props,
    }, children);
};
exports.Organizer = Organizer;
Organizer.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "organizer",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Organizer.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "organizer",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
