"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Performers = void 0;
const react_1 = require("react");
const Performers = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'performers',
        ...props,
    }, children);
};
exports.Performers = Performers;
Performers.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "performers",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Performers.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "performers",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
