"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Attendee = void 0;
const react_1 = require("react");
const Attendee = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'attendee',
        ...props,
    }, children);
};
exports.Attendee = Attendee;
Attendee.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "attendee",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Attendee.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "attendee",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
