"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Attendees = void 0;
const react_1 = require("react");
const Attendees = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'attendees',
        ...props,
    }, children);
};
exports.Attendees = Attendees;
Attendees.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "attendees",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Attendees.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "attendees",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
