"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Composer = void 0;
const react_1 = require("react");
const Composer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'composer',
        ...props,
    }, children);
};
exports.Composer = Composer;
Composer.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "composer",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Composer.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "composer",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
