"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndDate = void 0;
const react_1 = require("react");
const EndDate = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'endDate',
        ...props,
    }, children);
};
exports.EndDate = EndDate;
EndDate.Date = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "endDate",
        itemScope: true,
        itemType: "https://schema.org/Date",
        ...props
    }, children);
};
EndDate.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "endDate",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
