"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Performer = void 0;
const react_1 = require("react");
const Performer = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'performer',
        ...props,
    }, children);
};
exports.Performer = Performer;
Performer.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "performer",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
Performer.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "performer",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
