"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StartDate = void 0;
const react_1 = require("react");
const StartDate = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'startDate',
        ...props,
    }, children);
};
exports.StartDate = StartDate;
StartDate.DateTime = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "startDate",
        itemScope: true,
        itemType: "https://schema.org/DateTime",
        ...props
    }, children);
};
StartDate.Date = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "startDate",
        itemScope: true,
        itemType: "https://schema.org/Date",
        ...props
    }, children);
};
